Get AI data source content
curl --request GET \
--url https://api.getfernand.com/organization/rag/sources/{uuid}/content \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getfernand.com/organization/rag/sources/{uuid}/content"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getfernand.com/organization/rag/sources/{uuid}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfernand.com/organization/rag/sources/{uuid}/content"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api.getfernand.com/organization/rag/sources/{uuid}/content");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.getfernand.com/organization/rag/sources/{uuid}/content")
.header("X-API-Key", "<api-key>")
.asString();{
"questions": [
"How do I reset my password?",
"What's the password recovery process?"
],
"answer": "To reset your password, click on..."
}{
"error": "You can only retrieve the content of Questions or Texts"
}Get AI data source content
GET
/
organization
/
rag
/
sources
/
{uuid}
/
content
Get AI data source content
Retrieves the stored content of a Question or Text source. For Questions, returns parsed questions array and answer. For Texts, returns the raw text content. Other source types cannot be retrieved through this endpoint.
Authorizations
Path Parameters
UUID of the source to retrieve.
Was this page helpful?
⌘I